# module Log::Dispatcher

##
Overview

Base interface implemented by log entry dispatchers

Dispatchers are in charge of sending log entries according to different strategies.

##
Direct including types

- Log::AsyncDispatcher
- Log::SyncDispatcher

##
Defined in:

log/dispatch.cr

##
Instance Method Summary

- #close

  Close the dispatcher, releasing resources

- #dispatch(entry : Entry, backend : Backend)

  Dispatch a log entry to the specified backend

##
Instance Method Detail

def close #

Close the dispatcher, releasing resources

abstract def dispatch(entry : Entry, backend : Backend) #

Dispatch a log entry to the specified backend